using Lada.Framework.Data.Domains.Cms;
using Lada.Framework.Data.Domains.Hr;
using Lada.Framework.Data.Mappings.EntityMappings.Hr;
using Microsoft.EntityFrameworkCore;

namespace Lada.Framework.Data.Mappings.DbContexts
{
    public partial class LadaDbContext
    {
        private void ApplyHRMappings(ModelBuilder builder)
        {
            builder
                .RegisterEntityMapping<JobPost, JobPostMap>()
                .RegisterEntityMapping<JobPostTag, JobPostTagMap>()
                .RegisterEntityMapping<Attendance, AttendanceMap>()
                .RegisterEntityMapping<AttendanceMedia, AttendanceMediaMap>()
                .RegisterEntityMapping<Candidate, CandidateMap>();
        }
    }

}
